<?php

/**
* ICCard Form
*
* @package Digital Downloads Pro
* @author iccard.ir
* @copyright 2020
*/

$amount = $this->cart->totalprice;
if (App::Core()->currency != "IRR") $amount = $amount * 10;
require_once(dirname(__FILE__) . '/iccard_payment_helper.class.php');
$i = new ICCard_Payment_Helper($this->gateway->extra);
$r = $i->paymentRequest(array(
		'amount'      => intval(ceil($amount)),
		'order_id'    => time(),
		'callback'    => SITEURL.'/gateways/'.$this->gateway->dir.'/ipn.php',
		'description' => App::Auth()->sesid . '#' . App::Auth()->uid . '#' . $this->row->id
	));
if ($r)
{
	?>
	<br />
	<div class="box">
		<form action="http://core.iccard.ir/api/pardakht/payment" method="post" id="frmICCardPayment" name="frmICCardPayment">
			<input type="hidden" name="token" value="<?php echo $i->data->token; ?>" />
			<span class="input-out"><input type="image" src="<?php echo SITEURL;?>/gateways/iccard/iccard_big.png" name="submit" class="tooltip" title="پرداخت از طريق درگاه پرداخت کارت اعتباری ایرانیان" alt="" onclick="document.frmICCardPayment.submit();"/></span>
		</form>
	</div>
	<?php
}
else
{
	$message = $i->error;
	echo $message;
}

?>